> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get catalog filter options

> Return the available filter option values (brands, ram, storage, screen size, processor, resolution, position) for a country, optionally narrowed to specific product types.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /catalog/{countryCode}/filter-options
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /catalog/{countryCode}/filter-options:
    get:
      tags:
        - Catalog
      summary: Get catalog filter options
      description: >-
        Return the available filter option values (brands, ram, storage, screen
        size, processor, resolution, position) for a country, optionally
        narrowed to specific product types.
      operationId: getCatalogFilterOptions
      parameters:
        - name: countryCode
          required: true
          in: path
          schema:
            type: string
        - name: types
          required: false
          in: query
          description: Comma-separated product types, e.g. laptop,monitor
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCatalogFilterOptions_Output'
components:
  schemas:
    GetCatalogFilterOptions_Output:
      type: object
      properties:
        data:
          type: object
          properties:
            brands:
              type: array
              items:
                type: string
            ram:
              type: array
              items:
                type: string
            storage:
              type: array
              items:
                type: string
            screenSize:
              type: array
              items:
                type: string
            processor:
              type: array
              items:
                type: string
            resolution:
              type: array
              items:
                type: string
            position:
              type: array
              items:
                type: string
          required:
            - brands
            - ram
            - storage
            - screenSize
            - processor
            - resolution
            - position
          additionalProperties: false
      required:
        - data
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````